For the complete documentation index, see llms.txt. This page is also available as Markdown.

Credential Management

Retrieve all stored credentials for a DID

get
Authorizations
AuthorizationstringRequired

One-Click access token (Authorization: Bearer )

Query parameters
networkstringOptional

The network to use for DID creation

typestringOptional

The type of credential to retrieve

statusstring · enumOptional

The credential status to filter by

Possible values:
issuedAtstringOptional

The credential issuance date to filter by

versionnumber · enumOptional

The credential version to filter by

Possible values:
Responses
200

The credentials have been successfully retrieved

application/json
credentialsstring[]Required

Array of verifiable credentials

Example: [{"@context":["https://www.w3.org/2018/credentials/v1","https://www.w3.org/2018/credentials/examples/v1"],"id":"http://example.gov/credentials/3732","type":["VerifiableCredential","UniversityDegreeCredential"],"issuer":"did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kA","issuanceDate":"2020-03-10T04:24:12.164Z","credentialSubject":{"id":"did:empe:testnet:7UGY6jJ3qLd42Krxgi5QgPGQyLRRUmCgrRX97KDCxYKN","degree":{"type":"BachelorDegree","name":"Bachelor of Science and Arts"}},"proof":{"type":"Ed25519Signature2018","created":"2020-03-10T04:24:12.164Z","jws":"eyJhbGciOiJFZERTQSIsImI2...","proofPurpose":"assertionMethod","verificationMethod":"did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kA#key-1"}}]
get/credentials
200

The credentials have been successfully retrieved

Import a credential from a JSON object

post
Authorizations
AuthorizationstringRequired

One-Click access token (Authorization: Bearer )

Body
allowForeignSubjectbooleanRequired

If allowForeignSubject is true allow any credential. If false (default) check if credential has subject Id, if it has it must match one of active DIDs of the wallet

Default: falseExample: true
Responses
201

Credential imported successfully

application/json
idstringRequired

Credential identifier

Example: did:empe:11111111#vc-1761304970049
post/credentials

Delete all credentials

delete
Authorizations
AuthorizationstringRequired

One-Click access token (Authorization: Bearer )

Responses
204

All credentials have been successfully deleted.

No content

delete/credentials

No content

Retrieve a credential by its ID

get
Authorizations
AuthorizationstringRequired

One-Click access token (Authorization: Bearer )

Path parameters
idstringRequired
Responses
200

The credential has been successfully retrieved

application/json
credentialobjectRequired

Verifiable credential

Example: {"@context":["https://www.w3.org/2018/credentials/v1","https://www.w3.org/2018/credentials/examples/v1"],"id":"http://example.gov/credentials/3732","type":["VerifiableCredential","UniversityDegreeCredential"],"issuer":"did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kA","issuanceDate":"2020-03-10T04:24:12.164Z","credentialSubject":{"id":"did:empe:testnet:7UGY6jJ3qLd42Krxgi5QgPGQyLRRUmCgrRX97KDCxYKN","degree":{"type":"BachelorDegree","name":"Bachelor of Science and Arts"}},"proof":{"type":"Ed25519Signature2018","created":"2020-03-10T04:24:12.164Z","jws":"eyJhbGciOiJFZERTQSIsImI2...","proofPurpose":"assertionMethod","verificationMethod":"did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kA#key-1"}}
get/credentials/{id}
200

The credential has been successfully retrieved

Delete a specific credential

delete
Authorizations
AuthorizationstringRequired

One-Click access token (Authorization: Bearer )

Path parameters
idstringRequired

Credential identifier to delete

Example: did:empe:11111111#vc-1761304970049
Responses
204

The credential has been successfully deleted.

No content

delete/credentials/{id}

No content

Last updated